GET /v1/currencies

visma.com

Summary: Get all the Currencies
Operation ID: Currencies_GetCurrencies
Auth: unknown

Parameters (6)

active (boolean, query, optional)

If not given, return all Currencies, if given as true return only active Currencies, if given as false returns only inactive Currencies.

calculateRowCount (boolean, query, optional, default: False)

Optional: Calculate total number of rows.

firstRow (integer, query, optional, default: 0)

Optional: first row to fetch. Default 0 = first row.

rowCount (integer, query, optional)

Optional: How many rows to fetch, Default 20, maximum 100.

sortings (array, query, optional)

Optional: A list of Key-Value pairs, containing names of fields and directions by which the results should be sorted. Any sortable field name (submodel fields not supported) in the model can be used, while value can be "Desc" or "Asc". Example: "?sortings[0].key=name&sortings[0].value=Asc". Using additional sorting fields "CreatedDate" and / or "LastUpdatedDate" as keys sort currencies without a timestamp provided when sorting with other date fields.

textToSearch (string, query, optional)

Optional: Text based search applied to the result. Matches currency name and code.

No probe data for this endpoint yet.